# Uses of Class
org.eclipse.swt.widgets.TreeItem

Packages that use TreeItem
Package
Description
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.swt.widgets
SWT widget public API classes.

## Uses of TreeItem in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type TreeItem
Modifier and Type
Method
Description
`void`
StructuredViewer.ColorAndFontCollector.`applyFontsAndColors(TreeItem control)`
Apply the fonts and colors to the control if required.
`void`
StructuredViewer.ColorAndFontCollectorWithProviders.`applyFontsAndColors(TreeItem control)`

## Uses of TreeItem in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom that return TreeItem
Modifier and Type
Method
Description
`TreeItem`
TreeEditor.`getItem()`
Returns the TreeItem for the row of the cell being tracked by this editor.
`TreeItem`
TreeCursor.`getRow()`
Returns the row over which the TreeCursor is positioned.
Methods in org.eclipse.swt.custom with parameters of type TreeItem
Modifier and Type
Method
Description
`void`
TreeEditor.`setEditor(Control editor, TreeItem item)`
Specify the Control that is to be displayed and the cell in the tree that it is to be positioned above.
`void`
TreeEditor.`setEditor(Control editor, TreeItem item, int column)`
Specify the Control that is to be displayed and the cell in the tree that it is to be positioned above.
`void`
TreeEditor.`setItem(TreeItem item)`
Specifies the `TreeItem` that is to be edited.
`void`
TreeCursor.`setSelection(TreeItem row, int column)`
Positions the TreeCursor over the cell at the given row and column in the parent tree.

## Uses of TreeItem in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return TreeItem
Modifier and Type
Method
Description
`TreeItem`
Tree.`getItem(int index)`
Returns the item at the given, zero-relative index in the receiver.
`TreeItem`
Tree.`getItem(Point point)`
Returns the item at the given point in the receiver or null if no such item exists.
`TreeItem`
TreeItem.`getItem(int index)`
Returns the item at the given, zero-relative index in the receiver.
`TreeItem[]`
Tree.`getItems()`
Returns a (possibly empty) array of items contained in the receiver that are direct item children of the receiver.
`TreeItem[]`
TreeItem.`getItems()`
Returns a (possibly empty) array of `TreeItem`s which are the direct item children of the receiver.
`TreeItem`
Tree.`getParentItem()`
Returns the receiver's parent item, which must be a `TreeItem` or null when the receiver is a root.
`TreeItem`
TreeItem.`getParentItem()`
Returns the receiver's parent item, which must be a `TreeItem` or null when the receiver is a root.
`TreeItem[]`
Tree.`getSelection()`
Returns an array of `TreeItem`s that are currently selected in the receiver.
`TreeItem`
Tree.`getTopItem()`
Returns the item which is currently at the top of the receiver.
Methods in org.eclipse.swt.widgets with parameters of type TreeItem
Modifier and Type
Method
Description
`void`
Tree.`deselect(TreeItem item)`
Deselects an item in the receiver.
`int`
Tree.`indexOf(TreeItem item)`
Searches the receiver's list starting at the first item (index 0) until an item is found that is equal to the argument, and returns the index of that item.
`int`
TreeItem.`indexOf(TreeItem item)`
Searches the receiver's list starting at the first item (index 0) until an item is found that is equal to the argument, and returns the index of that item.
`void`
Tree.`select(TreeItem item)`
Selects an item in the receiver.
`void`
Tree.`setInsertMark(TreeItem item, boolean before)`
Display a mark indicating the point at which an item will be inserted.
`void`
Tree.`setSelection(TreeItem item)`
Sets the receiver's selection to the given item.
`void`
Tree.`setSelection(TreeItem[] items)`
Sets the receiver's selection to be the given array of items.
`void`
Tree.`setTopItem(TreeItem item)`
Sets the item which is currently at the top of the receiver.
`void`
Tree.`showItem(TreeItem item)`
Shows the item.
Constructors in org.eclipse.swt.widgets with parameters of type TreeItem
Modifier
Constructor
Description
``
`TreeItem(TreeItem parentItem, int style)`
Constructs `TreeItem` and inserts it into `Tree`.
``
`TreeItem(TreeItem parentItem, int style, int index)`
Constructs `TreeItem` and inserts it into `Tree`.